PURGEPERSISTENTSESSIONS(1p)

NAME
purgePersistentSessions - Remove persistent sessions that match a certain filter

SYNOPSIS
  purgePersistentSessions [options] [filters]

DESCRIPTION
LemonLDAP::NG stores user information in an object called a persistent session. While it is not required to purge them, on larger installations with high user turnover, persistent sessions may end up accumulating and purging them might make sense. This script lets you automatically remove persistent sessions that match one or several filters.

OPTIONS

  GENERAL OPTIONS

--help, -h
    Print a brief help message and exit.

--debug, -d
    Print additional diagnostics to STDERR

--json, -j
    Log execution stats as JSON instead of human-readable text

--audit, -j
    Emit an audit log for each removed persistent session

  FILTERS
Filters are ways to select which persistent sessions you want to remove. You need to specify at least one filter. If you don't, nothing will be removed.

Multiple filters may be specified, when this is the case, ALL filters must match in order for a persistent session to be deleted.

--creation=SECONDS
    The persistent session will be deleted if it was created more than SECONDS ago

--last-update=SECONDS
    The persistent session will be deleted if it was last updated more than SECONDS ago

--recent-login=SECONDS
    The persistent session will be deleted if the login history's most recent successful login happened more than SECONDS ago.

    If there are no successful logins at all, the persistent session will also be deleted.

--no-login-success
    The persistent session will be deleted if its login history does not contain any successful logins.

    This is useful to remove persistent sessions created when a user inputs an non-existing username in the login form.

--no-registered-2fa
    The persistent session will be deleted if the user has not registered a second factor device.

SEE ALSO
<http://lemonldap-ng.org/>

AUTHORS

Maxime Besson, <maxime.besson@worteks.com>

BUG REPORT
Use OW2 system to report bug or ask for features: <https://gitlab.ow2.org/lemonldap-ng/lemonldap-ng/issues>

DOWNLOAD
Lemonldap::NG is available at <https://lemonldap-ng.org/download>

COPYRIGHT AND LICENSE

Copyright (C) 2024 by Xavier Guimard, <yadd@debian.org>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.